Search found 111 matches

by simonjwoolf
Thu Feb 28, 2019 12:15 pm
Forum: Installation & Configuration issues
Topic: [4.11.3] Issue troubleshooting outbound SMS
Replies: 2
Views: 379

Re: [4.11.3] Issue troubleshooting outbound SMS

Just spotted that my working server is running Cyclos 4.10.3

Has something changed between 4.10.3 and 4.11.3 that might be affecting this?
by simonjwoolf
Thu Feb 28, 2019 12:05 pm
Forum: Installation & Configuration issues
Topic: [4.11.3] Issue troubleshooting outbound SMS
Replies: 2
Views: 379

[4.11.3] Issue troubleshooting outbound SMS

I'm trying to troubleshoot outbound SMS, using a configuration and a gateway that work perfectly on another server. Yet, on the new machine, all outbound SMS fail with "UNKNOWN ERROR" in Cyclos. The error is the same whether a notification is triggered (eg: by making a payment) or when using the "ma...
by simonjwoolf
Wed Jan 30, 2019 8:46 am
Forum: Cyclos 4 mobile
Topic: "Internal Error: (Type Error): Can not read property 'd' of undifined (Unknown general error).
Replies: 14
Views: 1662

Re: "Internal Error: (Type Error): Can not read property 'd' of undifined (Unknown general error).

We were seeing similar errors to this, despite having configured everything correctly (registration allowed in one group for guests, five address fields enabled).

Our error was:
asdasd.png
asdasd.png (141.08 KiB) Viewed 1319 times

Upgrading Cyclos to 4.11.3 fixed it without issues.
by simonjwoolf
Wed Jan 09, 2019 11:03 am
Forum: Bug - problem reporting
Topic: Class$S2403 error
Replies: 5
Views: 897

Re: Class$S2403 error

These errors seem to occur randonly, for us only after we upgraded first to 4.10 and then to 4.11.2 which does not solve the issue. The errors seem to be related to instability of the Tomcat application, which sometimes completely freezes or restarts itself. The only solution is to manuallly restart...
by simonjwoolf
Tue Aug 07, 2018 10:15 am
Forum: Installation & Configuration issues
Topic: [Cyclos 4.10.3] Scheduled payment interval
Replies: 1
Views: 539

[Cyclos 4.10.3] Scheduled payment interval

This feels like a very basic question but I don't think I've seen it answered anywhere . . . It seems that in Cyclos 4.10.3 it's not possible to have scheduled payments on anything other than a monthly scheduled (one payment installment per calendar month). There are many cases where it would be use...
by simonjwoolf
Thu Mar 15, 2018 10:03 am
Forum: Installation & Configuration issues
Topic: Show confirmation message to recipient authorizing a payment
Replies: 2
Views: 662

Show confirmation message to recipient authorizing a payment

version: Cyclos 4.9.2 Pro Use case: When a member pays another member from a designated loan account, the recipient of the payment must pay a 5% fee (this is the specification of my client, not up for discussion). So, we enable "Requires authorization" for the transfer type so that the recipient has...
by simonjwoolf
Tue May 30, 2017 7:02 am
Forum: Cyclos 4 mobile
Topic: [Solved] Cyclos Mobile 4 v2.0 requires Cyclos v4.7.3
Replies: 2
Views: 621

Re: [URGENT] Cyclos Mobile 4 v2.0 broken

We have now upgraded the cyclos instance in question to version 4.7 Now, when logging into the Mobile App (v2.0) with an actiive user, we see the following error: "You do not have sufficient permissions to perform the requested action" This also generated an error in catalino.out - here is the full ...
by simonjwoolf
Thu Nov 03, 2016 11:17 am
Forum: Bug - problem reporting
Topic: [4.7] sql error after upgrading
Replies: 4
Views: 1283

Re: [4.7] sql error after upgrading

OK so the issue seems to be a bit more complicated... All the db upgrades are failing, due to "ERROR: must be owner of relation custom_operations" This seems to indicate some permissions problem, but I have no idea why that would be. Any thoughts? WARN DatabaseUpgrade - There were some errors while ...
by simonjwoolf
Thu Nov 03, 2016 11:10 am
Forum: Bug - problem reporting
Topic: [4.7] sql error after upgrading
Replies: 4
Views: 1283

Re: [4.7] sql error after upgrading

Thanks Alexandre.

My database version is currently at 39 - isn't that a bit odd?

update: just tried as you said. After a restart, the app version is once again 4.7 but the database version has been reset back to 39!
by simonjwoolf
Thu Nov 03, 2016 10:50 am
Forum: Bug - problem reporting
Topic: [4.7] sql error after upgrading
Replies: 4
Views: 1283

[4.7] sql error after upgrading

After upgrading a Cyclos 4.6.2 system to 4.7, we see this error in catalina.out after restarting tomcat: Internal Exception: org.postgresql.util.PSQLException: ERROR: column "basic_profile_field_account_title" does not exist I'm guessing the database upgrade didn't run properly. What is the best sol...
by simonjwoolf
Tue Aug 30, 2016 11:26 am
Forum: Suggestions
Topic: Equivalent of application pages customisation in Cyclos 4?
Replies: 2
Views: 1342

Equivalent of application pages customisation in Cyclos 4?

in Cyclos 3.7.3 we had the possibilty to heavily customise almost any page of the application, via the "application pages" admin area. We could select any of the system's jsps and customise the layout here. It doesn't look like there is anything comparable in Cyclos 4, or am I missing something? I c...
by simonjwoolf
Wed Jun 22, 2016 4:58 am
Forum: Installation & Configuration issues
Topic: Issue upgrading a site from 4.5.3 to 4.6 Beta
Replies: 4
Views: 2002

Re: Issue upgrading a site from 4.5.3 to 4.6 Beta

In case this is useful for others, I have been told that Cyclos 4.4 and higher should all work OK with Java 8 - but only in production, not in development (not sure why....).

I haven't tested this yet.
by simonjwoolf
Tue Jun 21, 2016 9:57 am
Forum: Installation & Configuration issues
Topic: Issue upgrading a site from 4.5.3 to 4.6 Beta
Replies: 4
Views: 2002

Re: Issue upgrading a site from 4.5.3 to 4.6 Beta

Thanks, Mea Culpa that I didn't read the notes properly. Still awaiting confirmation about whether earlier versions of Cyclos can run with Java 8, or whether we would have to have a mixed Java environment (v 7 & 8 on same server, with different Tomcat instances) if we are running a production site t...
by simonjwoolf
Tue Jun 21, 2016 9:20 am
Forum: Installation & Configuration issues
Topic: Issue upgrading a site from 4.5.3 to 4.6 Beta
Replies: 4
Views: 2002

Re: Issue upgrading a site from 4.5.3 to 4.6 Beta

OK, so from a quick google it seems this refers to a JRE version mismatch.

From 4.6 do we need to upgrade to JRE 1.8?

Code: Select all

# java -version
java version "1.7.0_101"
OpenJDK Runtime Environment (IcedTea 2.6.6) (7u101-2.6.6-0ubuntu0.12.04.1)
OpenJDK 64-Bit Server VM (build 24.95-b01, mixed mode)